import { Matrix4 } from "three";
import { CylinderHole } from "../../DatabaseServices/3DSolid/CylinderHole";
import { Board } from "../../DatabaseServices/Entity/Board";
import { Hole } from "../../DatabaseServices/3DSolid/Hole";
import { ExtrudeHole } from "../../DatabaseServices/3DSolid/ExtrudeHole";
export declare const SCALAR = 0.1;
export declare function CyHoleInBoard(cys: CylinderHole[], br: Board, ocs: Matrix4): boolean;
export interface IRectHoleOption {
    up: string;
    down: string;
    left: string;
    right: string;
}
export declare const TempRectHoleOption: IRectHoleOption;
/**分析上下左右排钻 */
export declare function InitRectBoardHoleOption(br: Board, option: IRectHoleOption): void;
export declare function ExtureHoleInBoard(holes: ExtrudeHole[], board: Board, ocs: Matrix4): boolean;
export declare function HoleInBoard(holes: Hole[], br: Board, ocs?: Matrix4): boolean;
/**上下左右排钻写入板件 */
export declare function SetRectHighHole(br: Board, option: IRectHoleOption): void;
//# sourceMappingURL=HoleUtils.d.ts.map