import * as THREE from 'three';
import { Command } from '../Editor/CommandMachine';
export declare class DrawFloor implements Command {
    textureLoader: THREE.TextureLoader;
    get scene(): THREE.Scene;
    constructor();
    exec(): Promise<void>;
    loadFbx(): Promise<void>;
    private drawFloor;
    materialList: any[];
    loadMaterial(): void;
    drawLight(): void;
    private drawHemiLight;
    drawWall(): void;
    drawBox(): void;
    cubemap(): THREE.CubeTexture;
    drawBox2(): void;
    loadMaterialNode(): void;
}
//# sourceMappingURL=DrawFloor.d.ts.map