import * as React from "react";
import { BoardStore } from "../../UI/Store/BoardStore";
import { OrderDataBlock } from "./Models/CadBlock";
import { OrderDataObject, ProcessGroupObject } from "./Models/CadObject";
import { ErpRouteInfo } from "./Models/ErpRouteInfo";
interface ErpViewProp {
    erpRoute: ErpRouteInfo;
    session: string;
    token: string;
    cadData: {
        blockList: OrderDataBlock[];
        objectList: OrderDataObject[];
        processGroupList: ProcessGroupObject[];
    };
    store: BoardStore;
}
export declare class ErpView extends React.Component<ErpViewProp, {}> {
    iframe: React.RefObject<HTMLIFrameElement>;
    constructor(props: any);
    postMessage: (command: string, content?: any) => void;
    iframeLoaded: () => void;
    private closeEvent;
    render(): JSX.Element;
    componentWillUnmount(): void;
}
export {};
//# sourceMappingURL=ErpView.d.ts.map