import { Vec2 } from "three";
export declare class CADDbBoard {
    L: number;
    W: number;
    H: number;
    CabName: string;
    BoardName: string;
    BasePoint: CadBlockBasePosition;
    XVec: CadBlockBasePosition;
    YVec: CadBlockBasePosition;
    ZVec: CadBlockBasePosition;
    Grain: number;
    Pts: Vec2[];
    Buls: number[];
    SubBoardLocal: CADDbBoard[];
    SubBoardAssoc: CADDbBoard[];
    Drillings: CadBlockDrillings[];
}
export declare class CadBlockBasePosition {
    x: number;
    y: number;
    z: number;
}
export declare class CadBlockDrillings {
    x: number;
    y: number;
    r: number;
    h: number;
    f: number;
}
//# sourceMappingURL=CadModel.d.ts.map