import { Vector3 } from "three";
export declare class OrderDataObject {
    ID: number;
    IsOffer: boolean;
    ParentID: number;
    Name: string;
    ObjectID: number;
    ObjectType: string;
    Model: string;
    Spec: string;
    Brand: string;
    Factory: string;
    Units: string;
    CostPrice: number;
    SalePrice: number;
    ModuleTypeName: string;
    ModuleName: string;
    ModuleID: number;
    RoomName: string;
    BoxName: string;
    Num: number;
    IsComposite: boolean;
    ModuleWidth: number;
    ModuleHeight: number;
    ModuleDepth: number;
    Remark: string;
    GroupKey: string;
    Size: Vector3;
}
export declare class ProcessGroupObject {
    type: string;
    projects: ProcessGroupProjObject[];
}
export declare class ProcessGroupProjObject {
    projName: string;
    brIds: number[];
    boxSize: {
        width: number;
        height: number;
        depth: number;
    };
}
//# sourceMappingURL=CadObject.d.ts.map