import React from "react";
import { IConfigOption } from "../../../UI/Components/Board/UserConfig";
import { IConfigStore } from "../../../UI/Store/BoardStore";
import '../Modals/Curve2Rec.less';
import { IBaseOption, IUiOption } from "../../../UI/Store/BoardInterface";
import { Singleton } from "../../../Common/Singleton";
export interface Curve2RecOption extends IBaseOption {
    isSaveMax: boolean;
    isSaveSmall: boolean;
    width: number;
    isAnaly: boolean;
    gap: number;
}
export declare class Curve2RecModalStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    option: Curve2RecOption;
    protected uiOption: IUiOption<Curve2RecOption>;
    get UIOption(): IUiOption<Curve2RecOption>;
    InitOption(): void;
    SaveConfig(): IConfigOption<import("../../../UI/Store/BoardInterface").AnyObject>;
    UpdateOption(cof: IConfigOption<Curve2RecOption>): void;
    HasInvailValue(): string;
    Cancel(): void;
    OnOk(): void;
}
export declare class Curve2RecModal extends React.Component<{
    store: Curve2RecModalStore;
}, {}> {
    private removeFuncs;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
//# sourceMappingURL=Curve2RecModal.d.ts.map