import { Board } from "../../DatabaseServices/Entity/Board";
import { Rec2BrStore } from "./Rec2BrStore";
declare enum ParseType {
    ParseAll = 0,
    ParseFormBackBoard = 1
}
export declare class ParseBoardNameUtil {
    isParseLeftBr: boolean;
    isParseRightBr: boolean;
    isParseTopBr: boolean;
    isParseDownBr: boolean;
    isParseGroundLineBr: boolean;
    isParseStripeBr: boolean;
    isChangeCabinetName: boolean;
    leftBrName: string;
    rightBrName: string;
    topBrName: string;
    downBrName: string;
    groundLineBrName: string;
    stripeBrName: string;
    cabinetName: string;
    roomName: string;
    topBrShrink: number;
    downBrShrink: number;
    verticalBrShrink: number;
    layerBrShrink: number;
    groundLineBrMoveBack: number;
    backBrLength: number;
    backBrWidth: number;
    parseType: ParseType;
    constructor(store: Rec2BrStore);
    InitData(store: Rec2BrStore): void;
    ParseBoardNameFormLocation(brarr: Board[]): void;
    ParseBoardArrFormBackBoard(arr: Board[][], brarr: Board[]): void;
    Doit(brarr: Board[]): void;
    private FindBr;
    private ChangeDiJiao;
    private ChangeZuoCeBan;
    private ChangeYouCeBan;
    private ChangeDingBan;
    private ChangeDiBan;
    private ChangeBeiBan;
    private CurtailBoard;
    private ParseShouKouTiao;
    private InitBoardName;
    private FrontCurtailBrs;
}
export {};
//# sourceMappingURL=ParseBoardNameUtil.d.ts.map