import { Color, LineBasicMaterial, LineDashedMaterial, MeshBasicMaterial, ShaderMaterial } from 'three';
import { LineMaterial } from 'three/examples/jsm/lines/LineMaterial';
export declare const LINE_WIDTH = 2;
export declare class ColorMaterial {
    private constructor();
    private static _LineMaterialMap;
    private static _BasicMaterialMap;
    static GetLineMaterial(color: number): LineBasicMaterial;
    static GetBasicMaterial(color: number): MeshBasicMaterial;
    private static _BasicDoubleSideMaterialMap;
    static GetBasicMaterialDoubleSide(color: number): MeshBasicMaterial;
    private static _ConceptualMaterial;
    static GetConceptualMaterial(color: number): ShaderMaterial;
    private static _printConceptualMaterial;
    static GetPrintConceptualMaterial(): ShaderMaterial;
    private static _BasicTransparentMaterialMap;
    static GetBasicMaterialTransparent(color: number, opacity: number): MeshBasicMaterial;
    private static _BasicTransparentMaterialMap2;
    static GetBasicMaterialTransparent2(color: number, opacity: number): MeshBasicMaterial;
    static GetColor(color: number): Color;
    static RubberBandMaterial: LineDashedMaterial;
    static SnapAxisMaterial: LineDashedMaterial;
    static PrintLineMatrial: LineMaterial;
    static GrayTransparentMeshMaterial: MeshBasicMaterial;
    static TransparentMeshMaterial: MeshBasicMaterial;
    static TransparentLineMaterial: MeshBasicMaterial;
}
//# sourceMappingURL=ColorPalette.d.ts.map