import * as THREE from 'three';
import { Object3D, Vector3 } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from '../CADFiler';
import { Entity } from '../Entity/Entity';
export declare class Cylineder extends Entity {
    private m_Radius;
    private m_Height;
    private m_Center;
    constructor(rad?: number, height?: number);
    get Radius(): number;
    set Radius(v: number);
    get Height(): number;
    set Height(v: number);
    get Center(): Vector3;
    set Center(v: Vector3);
    CreateGeometry(): THREE.ExtrudeGeometry;
    InitDrawObject(renderType: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, en: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=Cylineder.d.ts.map