export declare const ISPROXYKEY = "_isProxy";
/**
 * 自动对CADObject的属性添加属性记录器,自动调用 `WriteAllObjectRecord`
 * 如果属性是数组,那么自动添加`Proxy`.
 * 可以使用`ISPROXYKEY`覆盖这个函数的代理行为(使用CADObject.CreateProxyArray快速覆盖)
 *
 * @param target
 * @param property
 * @param [descriptor]
 */
export declare function AutoRecord(target: {
    WriteAllObjectRecord: () => void;
}, property: string, descriptor?: PropertyDecorator): void;
//# sourceMappingURL=AutoRecord.d.ts.map