import { Entity } from "./Entity";
import { BoxBufferGeometry, Object3D } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
export declare function GetBoxGeoBufferGeometry(): BoxBufferGeometry;
export declare class BoxSolid extends Entity {
    private _length;
    private _width;
    private _height;
    OnlyRenderType: boolean;
    private _opacity;
    constructor(_length?: number, _width?: number, _height?: number);
    set Opacity(o: number);
    InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, obj: Object3D): void;
}
//# sourceMappingURL=BoxSolid.d.ts.map