import * as THREE from "three";
import { Object3D } from "three";
import { Light } from "./Light";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
export declare class HemisphereLight extends Light {
    private m_GroundColor;
    protected _Intensity: number;
    get GroundColor(): THREE.Color;
    set GroundColor(color: THREE.Color);
    protected InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, en: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=HemisphereLight.d.ts.map