import { Matrix4, Object3D, Vector3 } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
import { Light } from "./Light";
export declare class RectAreaLight extends Light {
    private m_Width;
    private m_Height;
    protected _ShowHelper: boolean;
    protected _Intensity: number;
    private m_Target;
    get Target(): Vector3;
    set Target(p: Vector3);
    ApplyMatrix(m: Matrix4): this;
    GetGripPoints(): Array<Vector3>;
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    get Height(): number;
    get Width(): number;
    set Height(v: number);
    set Width(v: number);
    protected InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, en: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=RectAreaLight.d.ts.map