import { CADFiler } from './CADFiler';
import { CADObject } from './CADObject';
export declare class ObjectCollection<T extends CADObject> extends CADObject {
    Objects: T[];
    /**
     * @param object
     * @param isCheckObjectCleanly 检查对象是否清白,如果对象不清白,那么将会被拒绝加入到集合.
     */
    Append(object: T, isCheckObjectCleanly?: boolean): import("./ObjectId").ObjectId;
    AppendEvent(obj: T): void;
    Remove(obj: T): void;
    RemoveIndex(index: number): T;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
    ApplyPartialUndo(undoData: CADObject): void;
}
//# sourceMappingURL=ObjectCollection.d.ts.map