import { MeshPhysicalMaterial } from "three";
import { CADFiler } from "./CADFiler";
import { MaterialTableRecord } from "./MaterialTableRecord";
import { ObjectId } from "./ObjectId";
export interface IGoodProps {
    name: string;
    material: string;
    color: string;
}
export declare class PhysicalMaterialRecord extends MaterialTableRecord {
    color: string;
    transparent: boolean;
    matalness: number;
    opacity: number;
    depthTest: boolean;
    map: ObjectId;
    bumpMap: ObjectId;
    bumpScale: number;
    roughnessMap: ObjectId;
    roughness: number;
    useMap: boolean;
    useBumpMap: boolean;
    useRoughnessMap: boolean;
    private _goodsInfo;
    private material;
    IsFull: boolean;
    Update(): Promise<void>;
    get Material(): MeshPhysicalMaterial;
    get GoodsInfo(): IGoodProps;
    set GoodsInfo(info: IGoodProps);
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=PhysicalMaterialRecord.d.ts.map