import { BoardProcessOption, TBBoardOption } from "../../../UI/Store/BoardInterface";
import { CADFiler } from "../../CADFiler";
import { TemplateRecord } from "../TemplateRecord";
/**顶底板模板 */
export declare class TemplateTopBottomBoard extends TemplateRecord {
    private _topOption;
    private _bottomOption;
    UseBoardProcessOption: boolean;
    BoardProcessOption: BoardProcessOption;
    DrawCounts: [number, number, number];
    constructor();
    get TopOption(): TBBoardOption;
    set TopOption(option: TBBoardOption);
    get BottomOption(): TBBoardOption;
    set BottomOption(option: TBBoardOption);
    protected Update(): Promise<void>;
    private SetBoardProcess;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateTopBottomBoard.d.ts.map