import { LayerBoardOption, VerticalBoardOption, BehindBoardOption, TBBoardOption, LayerNailOption, SingleBoardOption, ClosingStripOption, IBoardBatchCurtailOption, BoardProcessOption, SideBoardOption } from "../UI/Store/BoardInterface";
import { IWineRackOption } from "../UI/Store/WineRackInterface";
import { IBoardFindOption } from "../UI/Store/BoardFindInterface";
import { ILatticeOption } from "../UI/Store/LatticeInterface";
import { IDrawerConfigOption, IDoorConfigOption } from "../UI/Store/DoorInterface";
import { ICylMetalsOption, IExtMetalsOption, ICompHardwareOption, IToplineOption } from "../UI/Components/RightPanel/RightPanelInterface";
import { Curve2RecOption } from "../Add-on/twoD2threeD/Modals/Curve2RecModal";
import { IUpdateBoardInfosOption } from "../UI/Components/Board/UpdateBoardInfointerface";
import { IRec2BrOption, IRect2Br2Option } from "../Add-on/twoD2threeD/R2bInterface";
export declare const DefaultLayerBoardConfig: LayerBoardOption;
export declare const DefaultVerticalBoardConfig: VerticalBoardOption;
export declare const DefaultBehindBoardConfig: BehindBoardOption;
export declare const DefaultWineRackConfig: IWineRackOption;
export declare const DefaultTopBoardOption: TBBoardOption;
export declare const DefaultBottomBoardOption: TBBoardOption;
export declare const DefaultSideBoardOption: SideBoardOption;
export declare const DefaultSingleBoardOption: SingleBoardOption;
export declare const DefaultClosingStripOption: ClosingStripOption;
export declare const DefaultBoardFindOption: IBoardFindOption;
export declare const DefaultLatticOption: ILatticeOption;
export declare const DefaultDoorOption: IDoorConfigOption;
export declare const DefaultDrawerOption: IDrawerConfigOption;
export declare const DefaultBoardBatchCurtailOption: IBoardBatchCurtailOption;
export declare const DefaultLatticeConfig: ILatticeOption;
export declare const DefaultNailOption: LayerNailOption;
export declare const DefaultCylinederMetalsOption: ICylMetalsOption;
export declare const DefaultExtruderMetalsOption: IExtMetalsOption;
export declare const DefaultCompositeMetalsOption: ICompHardwareOption;
export declare const DefaultToplineMetalsOption: IToplineOption;
export declare const DefaultBoardProcessOption: BoardProcessOption;
export declare const DefaultCurve2RecOption: Curve2RecOption;
export declare const DefaultUpdateInfoOption: IUpdateBoardInfosOption;
export declare const DefaultKuGanOption: {
    count: number;
    isHor: boolean;
    depth: number;
    isDefault: boolean;
    leftDist: number;
    rightDist: number;
};
export declare const DefaultR2bOption: IRec2BrOption;
export declare const DefaultR2b2Option: IRect2Br2Option;
//# sourceMappingURL=DefaultConfig.d.ts.map