import { Editor, EditorService } from './Editor';
import { GetEntityPrompt } from "./PromptOptions";
import { PromptEntityResult } from './PromptResult';
/**
 * 返回状态:
 * Ok 选择到实体.
 * Other 右键或者空格退出选择
 * None 左键点击,但是没有选择到实体
 */
export declare class GetEntityServices implements EditorService {
    _Editor: Editor;
    private m_Viewer;
    constructor(ed: Editor);
    IsReady: boolean;
    private m_promisResolve;
    private removeCalls;
    private prompt;
    Start(prompt?: GetEntityPrompt): Promise<PromptEntityResult>;
    private handleRightClick;
    initHandleInput(prompt: GetEntityPrompt): void;
    initHandleKeyDown(): void;
    Cancel(): void;
    Doit(e: MouseEvent): Promise<boolean>;
    private InitDynPrompt;
    private PickEntity;
    private RestState;
    private Retun;
}
//# sourceMappingURL=GetEntityServices.d.ts.map