import { Line as TLine, Vector3 } from 'three';
import { Editor, EditorService } from './Editor';
/**
 * 夹点拽拖服务
 */
export declare class GripDragServices implements EditorService {
    private ed;
    lastSnapPoint: Vector3;
    private mouseCtrl;
    private _SnapSize;
    constructor(ed: Editor);
    get SnapSize(): number;
    set SnapSize(size: number);
    get IsReady(): boolean;
    Doit(e: MouseEvent): Promise<boolean>;
    Cancel(): void;
    /**
     * 夹点捕捉
     * @returns
     */
    GripSnap(): void;
    /**
     * 更新捕捉夹点
     */
    private UpdateSnapPoint;
    /**
     * 前视图中的光标对象
     */
    previewCrossLine: TLine;
    /**
     * 在前视图中绘制捕捉光标
     */
    private UpdateSnapDraw;
    /**
     * 隐藏捕捉的十字光标
     */
    HideDrawLine(): void;
}
//# sourceMappingURL=GripDragServices.d.ts.map