import { Viewer } from '../GraphicsSystem/Viewer';
import { Vector3 } from 'three';
/**
 * 材质编辑器的场景鼠标控制.
 */
export declare class MaterialEditorCamerControl {
    m_Viewer: Viewer;
    m_MouseIsDown: boolean;
    m_StartPoint: Vector3;
    m_EndPoint: Vector3;
    constructor(view: Viewer);
    initMouseControl(): void;
    onMouseDown: (event: MouseEvent) => void;
    onMouseUp: (event: MouseEvent) => void;
    onMouseMove: (event: MouseEvent) => void;
    onMouseWheel: (event: WheelEvent) => void;
}
//# sourceMappingURL=MaterialMouseControl.d.ts.map