import * as THREE from 'three';
import { Entity } from '../../DatabaseServices/Entity/Entity';
import { Editor, EditorService } from '../Editor';
import { RotateAxes } from './RotateAxes';
import { TranslateAxex } from './TranslateAxes';
export declare enum TransMode {
    Move = 0,
    Rotate = 1
}
export declare class TransformServicess implements EditorService {
    m_Ents: Entity[];
    private m_CurMode;
    private m_CtrlAxes;
    private m_Enable;
    private m_Editor;
    private m_Matrix;
    constructor(ed: Editor);
    get IsReady(): boolean;
    Doit(e: MouseEvent): Promise<boolean>;
    private InitAxes;
    get CurAxes(): RotateAxes | TranslateAxex;
    set Mode(mode: TransMode);
    set Matrix(mat: THREE.Matrix4);
    private UpdateAxesMatrix;
    set Enable(e: boolean);
    Cancel(): void;
}
//# sourceMappingURL=TransformServices.d.ts.map