import { Matrix4, Object3D } from 'three';
import { Viewer } from '../GraphicsSystem/Viewer';
import { Editor } from './Editor';
export declare enum UCSPsotion {
    Origin = 0,
    LeftBottom = 1
}
export declare class UCSServices {
    private _Editor;
    private _UCSMatrix;
    private _UcsObj;
    private _DisplayPosition;
    constructor(_Editor: Editor);
    private Update;
    set UCSPsotion(type: UCSPsotion);
    get UCSMatrix(): Matrix4;
    set UCSMatrix(m: Matrix4);
}
export declare function MatrixToPreViewMat(mtx: Matrix4, view: Viewer, obj: Object3D, displayPosition: UCSPsotion): void;
//# sourceMappingURL=UCSServices.d.ts.map