import { BufferGeometry, Vector3, BufferAttribute, ShapeGeometry } from "three";
export declare namespace BufferGeometryUtils {
    function CreateFromPts(pts: Vector3[]): BufferGeometry;
    /**
     * 更新BufferGeometry的顶点
     * @param geo
     * @param pts
     * @returns 当成功时返回true,更新失败时返回false
     */
    function UpdatePts(geo: BufferGeometry, pts: Vector3[]): boolean;
    function ArrowGeometry(): ShapeGeometry;
    function MergeBufferGeometries(geometries: BufferGeometry[], useGroups?: boolean): BufferGeometry;
    function MergeBufferAttributes(attributes: BufferAttribute[]): BufferAttribute;
}
//# sourceMappingURL=BufferGeometryUtils.d.ts.map