import { Board } from "../../DatabaseServices/Entity/Board";
import { Circle } from "../../DatabaseServices/Entity/Circle";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Point } from "../Common/Point";
import { Part } from "../Core/Part";
/**
 * 针对板件的曲线变点表做的特殊优化
 */
export declare function Curves2Points(cu: Circle | Polyline, outside: boolean, knifRadius: number): [(Circle | Polyline), Point[]];
export declare function Polylin2Points(pl: Polyline, outside: boolean, knifRadius: number): [Polyline, Point[]];
export declare function ConverBoard2Part(board: Board, knifRadius?: number): Part;
//# sourceMappingURL=ConverBoard2Part.d.ts.map