import * as React from 'react';
import { BoardStore } from '../../Store/BoardStore';
export declare enum BoardModalType {
    LR = "lr",
    TB = "tb",
    Be = "be",
    Ly = "ly",
    Ve = "ve",
    Sg = "sg",
    Skt = "skt",
    Dr = "dr",
    Zx = "zx",
    Mb = "mb",
    Find = "findBr",
    JG = "jg",
    Lat = "lattice",
    TempDes = "templatedesign",
    ProcessGroupCategory = "processgroupcategory",
    Ct = "drawer",
    ActLr = "activelr",
    CompMetals = "compmetals",
    ToplineMetals = "toplinemetals",
    UserConfig = "userConfig",
    Curves2Rec = "curves2rec",
    Rec2Br = "rec2br",
    SmoothEdge = "smoothEdge",
    UpdateBoardInfo = "updateboardinfo",
    YX = "yixing",
    R2WR = "R2WR",
    ZX2 = "vmodeling",
    ZX3 = "3dmodeling",
    R2B2 = "R2B2"
}
export interface BoardModalProps {
    type: BoardModalType;
    store: BoardStore;
}
/**
* 板件模态框父组件
*/
export declare class BoardModal extends React.Component<BoardModalProps, {}> {
    private event;
    private isAutoCut_backup;
    constructor(props: BoardModalProps);
    renderBoardModal: () => JSX.Element;
    registerEvent(): void;
    UNSAFE_componentWillMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private confirm;
}
//# sourceMappingURL=BoardModal.d.ts.map