import { IObservableValue } from 'mobx';
import * as React from 'react';
import { Board } from '../../../DatabaseServices/Entity/Board';
import { BoardProcessOption, IHightDrillOption } from '../../Store/BoardInterface';
import "../Modal/ModalStyle/BoardProcessModal.less";
interface BoardProcessProps {
    opt: BoardProcessOption;
    isSpecial?: IObservableValue<boolean>;
    br?: Board;
    drillOption?: IHightDrillOption;
    otherBoardData?: {
        [key: string]: any;
    };
}
export declare class BoardProcessModal extends React.Component<BoardProcessProps, {}> {
    private showShops;
    private showAlert;
    private tags;
    private container;
    private matPars;
    private editorEdgeSealing;
    private renderEl;
    private getOption;
    private selectGoods;
    private onProcessInputDbClick;
    private onAlertConfirm;
    private IsWineRackORLattice;
    private updateTags;
    UNSAFE_componentWillMount(): Promise<void>;
    componentDidMount(): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=BoardProcessModal.d.ts.map