import React = require("react");
import { Singleton } from "../../../../Common/Singleton";
export declare enum EOptionTabId {
    File = "file",
    Show = "xs",
    Sys = "sys",
    Draw = "ht",
    ChaiDan = "chaidan",
    Perf = "perf"
}
export declare class ConfigStore extends Singleton {
    oldBgcolor: string;
    oldLyBg: string;
    checkSealing: boolean;
    sealingArr: [string, string][];
    OnCanel: () => void;
    OnOK: () => Promise<void>;
}
/**
 * 选项配置对话框(右键O呼出)
 */
export declare class ConfigDialog extends React.Component<{
    store: ConfigStore;
}> {
    private selectedTabId;
    private curFileTitle;
    optionModal: HTMLElement;
    private event;
    constructor(props: any);
    RegisterHandleKeyBoardEvent(): void;
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    getFileName: () => Promise<void>;
    render(): JSX.Element;
}
//# sourceMappingURL=ConfigDialog.d.ts.map