import { IObservableValue } from 'mobx';
import * as React from 'react';
import { IDirectoryProps } from '../../SourceManage/CommonPanel';
export interface IToplineListProps {
    deleteFun?: (topline?: {
        topline_id: any;
    }) => void;
    dataList?: any[];
    select?: (e: React.FormEvent<HTMLInputElement>, data: any) => void;
    draw: (id: string) => void;
    isRename: IObservableValue<boolean>;
    updata: (name: string, dir: IDirectoryProps, call: Function) => void;
    getData?: () => void;
    info: {
        id: string;
        name: string;
    };
    selectIds?: Set<string>;
    showInfos?: boolean;
}
export declare class FrameList extends React.Component<IToplineListProps, {
    isContextMenuOpen: boolean;
}> {
    private _cameraFiler;
    constructor(props: any);
    private handleDbClick;
    private handleMounseDown;
    private exitEditor;
    private renderToasterMessage;
    private startEditorFrame;
    private handleUpdateFrame;
    private showContextMenu;
    render(): JSX.Element;
}
//# sourceMappingURL=FrameList.d.ts.map