import * as React from 'react';
import '../Css/rotateLyModal.less';
import { BoardStore } from '../Store/BoardStore';
import { IBaseOption } from '../Store/BoardInterface';
export interface IRotateLayerBoardProps {
    store: RotateLayerBoardStore;
}
interface IRotateLayerBoardOption extends IBaseOption {
    angle: number;
    length: number;
    frontDist: number;
    backDist: number;
}
export declare class RotateLayerBoardStore extends BoardStore<IRotateLayerBoardOption> {
    m_Option: IRotateLayerBoardOption;
    HasInvailValue(): string;
}
export declare enum ERotateType {
    Angle = "angle",
    Length = "length"
}
export interface IRotateLayerBoardState {
    rotateType: ERotateType;
    angle: string;
    length: string;
    frontDist: string;
    backDist: string;
}
export declare class RotateLayerBoardModal extends React.Component<IRotateLayerBoardProps, IRotateLayerBoardState> {
    private CONFIG_TYPE;
    constructor(props: any);
    private Ok;
    private Close;
    private Save;
    UNSAFE_componentWillMount(): Promise<void>;
    private event;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=RotateLayerBoard.d.ts.map