import * as React from 'react';
import { TempalteEditorStore } from '../../Store/TemplateEditorStore';
import { IDirectoryProps } from '../SourceManage/CommonPanel';
import { ITempTagProps } from '../../../Add-on/Template/TemplateTagCommand';
export interface INeedUpdateParams {
    name: string;
    value: string | number;
    description: string;
    expr?: string | number;
    isLock?: boolean;
}
export interface ITemplateManage {
    store?: TempalteEditorStore;
    currentTag?: ITempTagProps;
}
export declare class TemplateManage extends React.Component<ITemplateManage, {}> {
    private option;
    private canCreateTemplate;
    private currentProps;
    private currentTemplateInfo;
    private autoCutOption;
    constructor(props: any);
    private renderNav;
    private renderMenuItems;
    private startCreateTemplate;
    handleTemplate: (name: string, currentDir: IDirectoryProps, callback: Function) => Promise<void>;
    private uploadTemplate;
    private handleRenameTemplate;
    private GetTempalteAndUpdate;
    private handleInsert;
    private handleInsertByBasePt;
    private SetRootCabName;
    private handleInsertBySpace;
    private DrawKuGanBySpace;
    private handleEditor;
    private handleReplace;
    private handleInsertHandle;
    private addHandleToDoor;
    private selectTemplateTag;
    private renderBody;
    private renderTemplateInfo;
    private renderTemplateList;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
//# sourceMappingURL=TemplateComponent.d.ts.map