import { IObservableValue } from 'mobx';
import * as React from 'react';
import { INeedUpdateParams } from './TemplateComponent';
import { IDrawerDoorTempInfo, ISelectTempInfo } from '../../Store/DoorInterface';
import { IDirectoryProps } from '../SourceManage/CommonPanel';
import { IGetRoomInfo } from './GetRoomCabName';
export interface ITemplateListProps {
    deleteFun?: (temp: {
        module_id: any;
    }) => void;
    dataList?: any[];
    select?: (e: React.FormEvent<HTMLInputElement>, data: any) => void;
    getData?: () => void;
    /**当前的模板ui参数 */
    currentProps: INeedUpdateParams[];
    isRename?: IObservableValue<boolean>;
    /**当前点选的模板信息 */
    currentInfo: IDrawerDoorTempInfo;
    editor?: () => void;
    /**禁止删除模板 */
    forbidDelete?: boolean;
    /**隐藏选择checkbox */
    hideSelectBox?: boolean;
    /**选择的模板信息 */
    selectInfo?: ISelectTempInfo;
    currentDir?: IDirectoryProps;
    cabOption?: IGetRoomInfo;
    selectIds?: Set<string>;
    showInfos?: boolean;
    insert?: (bool: boolean) => void;
}
export interface ITempItemBack {
    module_id: string;
    props: string;
    name: string;
    logo: string;
    dir_id: string;
}
export declare class TemplateList extends React.Component<ITemplateListProps> {
    private _params;
    private watchDir;
    UNSAFE_componentWillMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private handleMounseDown;
    private showContextMenu;
    private publishTemplate;
    private handleDbclick;
}
//# sourceMappingURL=TemplateList.d.ts.map