/**
 * 所有动态输入框的基类,包含一个inputEl
 */
export declare class DynamicInput {
    inputEl: HTMLInputElement;
    container: HTMLElement;
    UpdateWidth: Function;
    isShiftDown: boolean;
    isCtrlDown: boolean;
    constructor(container: HTMLElement);
    private _IsLock;
    private _HasLock;
    set IsLock(lock: boolean);
    get IsLock(): boolean;
    set Value(value: any);
    get Value(): any;
    OnInput(): void;
    OnInputKeyDown(e: KeyboardEvent): void;
    OnInputKeyUp(e: KeyboardEvent): void;
    Focus(): void;
    private SetSelect;
    Blur(): void;
    SetPosition(x: number, y: number): void;
    set Fixed(v: boolean);
    Destroy(): void;
    OnToggleRelativeEvent(): void;
}
//# sourceMappingURL=DynamicInputBase.d.ts.map