import { DynamicInput } from './DynamicInputBase';
export declare class DynamicInputManage {
    private inputCollection;
    private focusIndex;
    private container;
    private isDisplay;
    private constructor();
    private static manage;
    static GetManage(): DynamicInputManage;
    _IsInputing: boolean;
    set IsInputing(v: boolean);
    get IsInputing(): boolean;
    get IsLockIng(): boolean;
    get Container(): HTMLElement;
    get InputCollection(): DynamicInput[];
    Focus(): void;
    set FocusIndex(v: number);
    AddDynamicInput(dynamicInput: DynamicInput): void;
    RemoveDynamicInput(dynInput: DynamicInput): void;
    private RegisterEvent;
    private HandleDynamicInput;
    NextFocus(): void;
    SendInput(): void;
    HandleInputEvent(cmd: any): any;
    ToggleDynamicInput(): void;
}
//# sourceMappingURL=DynamicInputManage.d.ts.map