import { PromptBlock } from "./PromptBlock";
import { RealDynamicInput } from "./RealDynamicInput";
import { DynamicInputManage } from "./DynamicInputManage";
import { Vector3 } from "three";
/**
 * 拾取矩形范围点的动态提示框
 */
export declare class GetRectPointPromptBlock extends PromptBlock {
    xDynIpt: RealDynamicInput;
    yDynIpt: RealDynamicInput;
    constructor(dynamicInputManage?: DynamicInputManage);
    UpdateSize(x: number, y: number): void;
    UpdatePosition(p1Screen: Vector3, p2Screen: Vector3): void;
    get Width(): number;
    get Height(): number;
}
//# sourceMappingURL=GetRectPointPromptBlock.d.ts.map