import { ObjectId } from "../../DatabaseServices/ObjectId";
import { TextureTableRecord } from "../../DatabaseServices/Texture";
export declare class TextureStore {
    use: import("mobx").IObservableValue<boolean>;
    warpS: import("mobx").IObservableValue<import("three").Wrapping>;
    wrapT: import("mobx").IObservableValue<import("three").Wrapping>;
    repeatX: import("mobx").IObservableValue<number>;
    repeatY: import("mobx").IObservableValue<number>;
    textureImg: string;
    rotation: import("mobx").IObservableValue<number>;
    textureId: ObjectId;
    autorunFun: Function;
    constructor();
    startObserver(): void;
    dispose(): void;
    InitStore(textureId?: ObjectId | TextureTableRecord, isUse?: boolean): void;
    private updateing;
    UpdateStore(textureId: ObjectId | TextureTableRecord): void;
    UpdateEvent(): void;
}
//# sourceMappingURL=TextureStore.d.ts.map