import { Matrix4, Vector3 } from "three";
import { ExtrudeHole } from "../DatabaseServices/3DSolid/ExtrudeHole";
import { ExtrudeSolid, ExtureContourCurve } from "../DatabaseServices/Entity/Extrude";
import { Command } from "../Editor/CommandMachine";
export declare class DrawExtrude implements Command {
    exec(): Promise<void>;
}
export declare function ExtrudeApplyContour(ext: ExtrudeHole, contour: ExtureContourCurve): Matrix4 | undefined;
/**设置拉伸体高度 */
export declare function SetExtrudeHeight(en: ExtrudeHole | ExtrudeSolid, dist: number, basePt: Vector3, oldPosition: Vector3): void;
//# sourceMappingURL=DrawExtrude.d.ts.map