import * as React from 'react';
import { Command } from "../Editor/CommandMachine";
import { IDrawBoardAutoCutOption } from '../UI/Store/BoardInterface';
import { IGetRoomInfo } from '../UI/Components/Template/GetRoomCabName';
export declare class Command_TemplateSearch implements Command {
    private isCheck;
    constructor(isCheck?: boolean);
    exec(): Promise<void>;
}
export declare class TemplateSearchDialog extends React.Component<{
    url: string;
}, {}> {
    private autoCutOption;
    OnMessage: (e: MessageEvent) => Promise<void>;
    private handleBuy;
    private handleCheck;
    private renderFooter;
    UNSAFE_componentWillMount(): Promise<void>;
    componentWillUnmount(): Promise<void>;
    render(): JSX.Element;
}
export declare function ReadAutoCutConfig(key: string, autoCutOption: IDrawBoardAutoCutOption, option?: IGetRoomInfo): Promise<void>;
export declare function UploadAutoCutConfig(name: string, autoCutOption: IDrawBoardAutoCutOption, option?: IGetRoomInfo): Promise<void>;
//# sourceMappingURL=TemplateSearch.d.ts.map