import { Vector3 } from 'three';
import { Curve } from '../DatabaseServices/Entity/Curve';
import { Polyline } from '../DatabaseServices/Entity/Polyline';
import { Command } from '../Editor/CommandMachine';
import { SelectBox } from '../Editor/SelectBox';
export declare class Command_Trim implements Command {
    exec(): Promise<void>;
    private JigTrim;
    private GetIntersetPoints;
    /**
     * 裁剪普通曲线
     * @param curve
     * @param kniefCus
     * @param selBox
     * @param [isSelect] 是否已经被选中
     */
    TrimCurve(curve: Curve, kniefCus: Curve[], selBox: SelectBox, thisCurve?: Curve, insSelfPts?: Vector3[]): Curve[];
    TrimPolyline(curve: Polyline, kniefCus: Curve[], selBox: SelectBox): Polyline[];
}
//# sourceMappingURL=Trim.d.ts.map