/**
 * WebSocket 客户端. 每隔一分钟尝试连接到CAD的服务
 */
export declare class WebSocketClientServer {
    url: string;
    private ws;
    mode: string;
    constructor(url?: string);
    _ConnectionPromise: Promise<boolean>;
    Connect(): Promise<boolean> | true;
    Send(msg: string): Promise<void>;
    /**
     * 接收到消息. AOP可接入此函数
     * @param {MessageEvent} event
     */
    OnMessage: (event: MessageEvent) => void;
    OnLinkEvent(isLink: boolean): void;
    Close(): Promise<void>;
}
//# sourceMappingURL=WebSocketClientServer.d.ts.map