import { Singleton } from "../Common/Singleton";
import { Command } from "../Editor/CommandMachine";
import { ICommand } from "../UI/Components/CommandPanel/CommandList";
/**
 * 保存CAD的自定义命令,统一由这里经过CRUD操作
 */
export declare class CommandServer extends Singleton {
    private _customCommand;
    private _needUpload;
    CommandListMap: Map<string, string>;
    AddCustonCommand(icommand: ICommand): void;
    DeleteCustonCommand(icommand: ICommand): void;
    Upload(): Promise<void>;
    ReadCommandlist(): Promise<ICommand[]>;
    SaveOldDataToServer(): Promise<void>;
    private _LastScrollTop;
    SetLastScrollTop(scrollTop: number): Promise<void>;
    GetLastScrollTop(): Promise<number>;
}
export declare class UpgradeData implements Command {
    exec(): Promise<void>;
}
//# sourceMappingURL=CommandServer.d.ts.map