import { Object3D, Vector3 } from "three";
import { RenderType } from "../GraphicsSystem/RenderType";
import { CADFiler } from "./CADFiler";
import { Entity } from "./Entity/Entity";
export declare class FaceEntity extends Entity {
    private p1;
    private p2;
    private p3;
    private normal;
    constructor(p1?: Vector3, p2?: Vector3, p3?: Vector3, normal?: Vector3);
    protected InitDrawObject(renderType?: RenderType): Object3D;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=FaceEntity.d.ts.map