import { CompositeEntity } from "../Entity/CompositeEntity";
import { ICompHardwareOption } from "../../UI/Components/RightPanel/RightPanelInterface";
import { CADFiler } from "../CADFiler";
import { Entity } from "../Entity/Entity";
import { ObjectId } from "../ObjectId";
export declare class HardwareCompositeEntity extends CompositeEntity {
    HardwareOption: ICompHardwareOption;
    DataList: [string, string][];
    RelevanceBoards: ObjectId[];
    constructor();
    GetAllEntity(isHole?: boolean, filter?: (e: Entity) => boolean): Entity[];
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=HardwareCompositeEntity.d.ts.map