import { SymbolTable } from "./SymbolTable";
import { PhysicalMaterialRecord } from "./PhysicalMaterialRecord";
export declare class MaterialTable extends SymbolTable {
    get Materials(): Map<string, PhysicalMaterialRecord>;
    Remove(record: PhysicalMaterialRecord): void;
    GetAt(name: string): PhysicalMaterialRecord | undefined;
    Has(name: string): boolean;
    AllocateName(name?: string): string;
}
//# sourceMappingURL=MaterialTable.d.ts.map