import { Vector3 } from 'three';
import { Arc } from './Entity/Arc';
import { Polyline } from './Entity/Polyline';
/**
 * 点在弓型内部
 *
 * @param arc 二维圆弧
 * @param pt 点
 * @param isInChrodIsTrue 当点在弦上也认为在弓形内部
 * @returns 点在内部
 */
export declare function IsPointInBowArc(arc: Arc, pt: Vector3, isInChrodIsTrue?: boolean): boolean;
/**
 * 判断点在多段线内外
 * @param pl 多段线
 * @param pt 点
 * @returns 点在多段线内部
 */
export declare function IsPointInPolyLine(pl: Polyline, pt: Vector3): boolean;
//# sourceMappingURL=PointInPolyline.d.ts.map