import { ISpaceParse } from "../../../Geometry/SpaceParse/ISpaceParse";
import { LayerBoardOption, LayerNailOption } from "../../../UI/Store/BoardInterface";
import { TemplateBoardRecord } from "./TemplateBoard";
import { CADFiler } from "../../CADFiler";
import { Board } from "../../Entity/Board";
/**
 * 层板模板
 */
export declare class TemplateLayerBoard extends TemplateBoardRecord {
    constructor();
    protected _option: LayerBoardOption;
    private _nailOption;
    get NailOption(): LayerNailOption;
    set NailOption(nailOpt: LayerNailOption);
    GeneralBoardList(space: ISpaceParse): Board[];
    protected Update(): Promise<void>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateLayerBoard.d.ts.map