import { Frustum, Object3D, Vector2, Vector3 } from 'three';
import { PreViewer } from '../GraphicsSystem/PreViewer';
import { Viewer } from '../GraphicsSystem/Viewer';
import { SelectSetBase } from './SelectBase';
export declare class SelectLine extends SelectSetBase {
    private m_StartPt;
    private m_EndPt;
    _Frustum: Frustum;
    constructor(view: Viewer | PreViewer, startP: Vector2, endP: Vector2);
    IntersectLine(p1: Vector3, p2: Vector3): boolean;
    CheckSelect(obj: Object3D): boolean;
}
//# sourceMappingURL=SelectLine.d.ts.map