import { Matrix4, Vector3 } from 'three';
/**
 * 坐标系运算.
 */
export declare class CoordinateSystem {
    Postion: Vector3;
    XAxis: Vector3;
    YAxis: Vector3;
    ZAxis: Vector3;
    constructor(postion?: Vector3, xAxis?: Vector3, yAxis?: Vector3, zAxis?: Vector3);
    applyMatrix4(mat4: Matrix4): this;
    getMatrix4(): Matrix4;
    CopyForm(mat4: Matrix4): this;
    extractBasis(xAxisA: Vector3, yAxisA: Vector3, zAxisA: Vector3): void;
    copy(cs: CoordinateSystem): CoordinateSystem;
    clone(): CoordinateSystem;
}
//# sourceMappingURL=CoordinateSystem.d.ts.map