import { Container } from "./Container";
import { Path } from "./Path";
/**
 * 分析排料结果的余料
 * @param container 排料结果的容器
 * @param binPath 容器的bin
 * @param [knifeRadius=3.5] 刀半径(以便我们再次偏移)
 * @param squarePath 使用一个正方形路径来简化余料轮廓
 * @param canPutPaths 使用可以放置的路径列表来测试余料是否可用,如果可用,则保留
 * @returns Path[] 轮廓的位置存储在OrigionMinPoint中
 */
export declare function ParseOddments(container: Container, binPath: Path, knifeRadius?: number, squarePath?: Path, canPutPaths?: Path[]): Path[];
//# sourceMappingURL=ParseOddments.d.ts.map