import * as React from 'react';
import { Board } from '../../DatabaseServices/Entity/Board';
import { PhysicalMaterialRecord } from '../../DatabaseServices/PhysicalMaterialRecord';
/**
 * 材质球 纹理 预览
 */
export declare class Asset extends React.Component<{
    material: PhysicalMaterialRecord;
}, {}> {
    image: HTMLImageElement;
    nameEl: HTMLDivElement;
    removeCall: Function[];
    private assetEl;
    private renderIng;
    /**
     * 更新渲染材质球预览图
     */
    private UpdateRenderPreview;
    private Destroy;
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    handleDoubleClick: () => void;
    handleApply: () => void;
    handleCollection: () => Promise<void>;
    handleDelete: () => void;
    handleStart: (e: DragEvent) => void;
    render(): JSX.Element;
}
export declare function ApplyGoodInfo(en: Board, material: PhysicalMaterialRecord): void;
//# sourceMappingURL=Asset.d.ts.map