import React = require("react");
import '../Css/batchCurtailModal.less';
import { BoardStore } from "../Store/BoardStore";
import { IConfigOption } from "./Board/UserConfig";
import { IBoardBatchCurtailOption } from "../Store/BoardInterface";
export interface IBoardBatchCurtailProps {
    store: BoardBatchCurtailStore;
}
export declare class BoardBatchCurtailStore extends BoardStore {
    m_Option: IBoardBatchCurtailOption;
    checkValue: IBoardBatchCurtailOption;
    HasInvailValue(): string;
    InitOption(): void;
    SaveConfig(): {
        option: IBoardBatchCurtailOption;
    };
    UpdateOption(conf: IConfigOption<IBoardBatchCurtailOption>): void;
}
export declare class BoardBatchCurtailModal extends React.Component<IBoardBatchCurtailProps, {}> {
    constructor(props: any);
    static CONFIG_CURTAIL: string;
    private Ok;
    private Close;
    private CheckFunc;
    private event;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
//# sourceMappingURL=BoardBatchCurtailModal.d.ts.map