import * as React from 'react';
declare class Confirm {
    private _container;
    constructor();
    static CreateConfirm(): Confirm;
    close(): void;
    show(option: {
        message: string | string[];
        hasCancel?: boolean;
    }): Promise<boolean>;
    show2(option: {
        message: string | string[];
        onConfirm: () => void;
    }): void;
}
interface ICommonConfirmProps {
    message: string | string[];
    res: Function;
    close: Function;
    hasCancel: boolean;
}
export declare class CommonConfirm extends React.Component<ICommonConfirmProps> {
    renderMessage: () => string | JSX.Element[];
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private confirm;
    private cancel;
    private handleKeydown;
}
export declare const AppConfirm: Confirm;
export {};
//# sourceMappingURL=Confirm.d.ts.map