import * as React from 'react';
import { AnyObject } from '../../Store/BoardInterface';
import '../../Css/dataList.less';
export interface IDataListProps {
    dataList: any[];
    select: (e: any, data: any) => void;
    showContextMenu?: (e: React.MouseEvent<HTMLElement>, data: AnyObject) => void;
    idKey: string;
    renderButtons?: (data: any) => JSX.Element;
    renderOtherElement?: (data: any) => JSX.Element;
    selectData: Set<string>;
    showInfos: boolean;
    dbclickImg?: (data: AnyObject) => void;
    dragStart?: (data: AnyObject) => void;
    preview?: boolean;
    isSvg?: boolean;
    handleMounseDown?: (e: React.MouseEvent<HTMLElement>, data: AnyObject) => void;
    liStyle?: React.CSSProperties;
    className?: string;
    style?: React.CSSProperties;
    activeId?: string;
    hintClassName?: string;
    canDrag?: boolean;
}
export declare class DataList extends React.Component<IDataListProps> {
    static defaultProps: Partial<IDataListProps>;
    renderBigData: () => JSX.Element;
    renderSmall: () => JSX.Element;
    render(): JSX.Element;
    private showContextMenu;
    handleMouseDown: (e: React.MouseEvent<HTMLElement>, data: AnyObject) => void;
    handleMouseUp: (e: React.MouseEvent<HTMLElement>, data: AnyObject) => void;
    handleDbImgClick: (data: any) => void;
    handleDragStart: (data: any) => void;
}
//# sourceMappingURL=Datalist.d.ts.map