import * as React from 'react';
import { TopPanelStore } from '../../Store/TopPanelStore';
import { CommonPanel, IDirectoryProps } from './CommonPanel';
/**
 * 我的文件列表
 */
export declare class FilePanel extends React.Component<{
    store?: TopPanelStore;
}, {}> {
    commonPanel: CommonPanel;
    private canCreateFile;
    private currentFileInfo;
    selectEl: HTMLInputElement;
    private _isImporting;
    handleImportFile: (files: FileList) => Promise<void>;
    handleAddNewFile: (name: string, currentDir: IDirectoryProps) => void;
    handleFile: (name: string, currentDir: IDirectoryProps, callBack: () => void) => Promise<void>;
    handleDelete: (data: {
        file_ids: string[];
    }) => void;
    renderNav: () => JSX.Element;
    renderMenuItems: () => JSX.Element;
    BatchSend: () => void;
    render(): JSX.Element;
}
//# sourceMappingURL=FilePanel.d.ts.map