import { IObservableValue } from 'mobx';
import * as React from 'react';
interface IUploadProps {
    isOpen: IObservableValue<boolean>;
    currentDir?: {
        id: string;
        path: string;
    };
    getData?: Function;
}
/**
 *上传图片组件
 */
export declare class UploadComponent extends React.Component<IUploadProps, {}> {
    private uploadInput;
    private filesUrls;
    private imgSizes;
    private files;
    private processValue;
    private fileReader;
    private isEndUpload;
    private isOk;
    private isUploading;
    handleSelectFiles: (e: any) => Promise<void>;
    handleFileList: (filelist: FileList) => Promise<void>;
    private Wait;
    handleUpload: () => Promise<void>;
    private handleDelete;
    private handleClose;
    componentDidMount(): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=UploadCom.d.ts.map