import { IToastOptions } from "@blueprintjs/core";
import * as React from 'react';
import { ISetItemOption } from "./Board/BoardCommon";
export declare const AppToaster: import("@blueprintjs/core").IToaster;
/**展示多行提示 */
export declare function ShowLinesToaster(strArr: string[], props: Partial<IToastOptions>, key?: string): void;
export declare function ToasterValueError(msg: string): void;
interface IToasterInputProps extends ISetItemOption {
    inputClassName?: string;
    onBlur?(e?: any, hasError?: boolean): any;
    onClick?(e?: any): any;
    callback?: Function;
    selectAll?: boolean;
}
/**
 * 参数option为属性对象
 */
export declare class ToasterInput extends React.Component<IToasterInputProps, {}> {
    private showData;
    private errorMsg;
    private hideErrorMsg;
    static defaultProps: {
        isUpper: boolean;
    };
    getErrorMsg: (v: string) => void;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleClick: (e: any) => void;
    handleBlur: (e: any) => void;
    handleFocus: (e: React.FocusEvent<HTMLInputElement>) => void;
    UNSAFE_componentWillMount(): void;
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=Toaster.d.ts.map