import * as React from 'react';
import { KeyWord } from '../../../Common/InputState';
import { CommandStore } from '../../Store/CommandStore';
import './InputHint.css';
interface InputHintProps {
    cmdList: Set<string>;
    keyWordList: Array<KeyWord>;
    cmdPrompt: string;
    historyCmdList: string[];
    handleInputCallback: (data: string) => any;
    commandStore: CommandStore;
}
interface InputHitState {
    isShowHistory: boolean;
    intelliSenseIndex: number;
    intelliSenseCommand: Array<string>;
}
/**
 *
 */
export declare class InputHint extends React.Component<InputHintProps, InputHitState> {
    state: InputHitState;
    private inputEl;
    private selectIndex;
    private isCNInput;
    constructor(p: any, s: any);
    /**
     * 创建组件时
     */
    componentDidMount(): void;
    handleOnChangeIntelliSense(cmd: string): void;
    handleShowHistoryCommand: () => void;
    handleCallback(cmd: string): void;
    handleKeyboardEvent: (e: KeyboardEvent) => void;
    private handleIntellSence;
    private Cancel;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=InputHint.d.ts.map