import { Material, Mesh, Scene, Sprite, WebGLRenderer, Camera } from 'three';
export declare class MaterialRenderer {
    sprite: Sprite;
    sphere: Mesh;
    scene: Scene;
    camera: Camera;
    canvas: HTMLCanvasElement;
    renderer: WebGLRenderer;
    constructor();
    setSize(x: number, y: number): void;
    update(material: Material): void;
    getBlob(material: Material): Promise<Blob>;
    render(material: Material, onRender: any): void;
}
export declare function MaterialRendererSingle(): MaterialRenderer;
//# sourceMappingURL=MaterialRenderer.d.ts.map