import * as React from 'react';
import { IObservableValue } from 'mobx';
export interface IGoodInfo {
    goods_id: string;
    name: string;
    color: string;
    material: string;
}
interface IGoodsListProps {
    select: (good: IGoodInfo) => void;
    open: IObservableValue<boolean>;
}
export declare class GoodsList extends React.Component<IGoodsListProps> {
    private timeId;
    searchStr: string;
    goods: any[];
    info: {
        count: number;
        currentPage: number;
        pageCount: number;
    };
    private isDesc;
    UNSAFE_componentWillMount(): void;
    render(): JSX.Element;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleSearch: (opt?: {
        curr_page: number;
    }) => Promise<void>;
    private handleKeyDown;
    private handleHideSelect;
    private handleOrderGoods;
}
export {};
//# sourceMappingURL=GoodsList.d.ts.map