import { BoardStore } from "./BoardStore";
import { IBoardFindOption } from "./BoardFindInterface";
import { IConfigOption } from "../Components/Board/UserConfig";
export declare class BoardFindStore extends BoardStore {
    m_Option: IBoardFindOption;
    isSelectAllSealed: boolean;
    isSelectAllDrill: boolean;
    isSelectAll: boolean;
    isRevSelect: boolean;
    constructor();
    private SetDrillType;
    OnOk<T>(state: number, data?: T): Promise<void>;
    InitOption(): void;
    SaveConfig(): IConfigOption<import("./BoardInterface").AnyObject>;
    UpdateOption(cof: IConfigOption<IBoardFindOption>): void;
    CheckIsSelectAll(): void;
    HasInvailValue(): string;
}
//# sourceMappingURL=BoardFindModifyStore.d.ts.map