import { IOptionProps, TabId } from "@blueprintjs/core";
import { Singleton } from "../../../Common/Singleton";
import { Board } from "../../../DatabaseServices/Entity/Board";
import { DrillingStore } from "./DrillingStore";
import { LightStore } from "./LightStore";
import { ModelingStore } from "./ModelingStore";
import { SealingStore } from "./SealingStore";
import { Modeling2Store } from "./Modeling2Store";
import { IKnifeProps } from "../BoardInterface";
export declare class RightPanelStore extends Singleton {
    m_TabId: TabId;
    m_IsShow: boolean;
    currentBoard: Board;
    currentTemplateIndex: number;
    templateParamInputRefs: HTMLInputElement[];
    modelingStore: ModelingStore;
    lightStore: LightStore;
    sealingStore: SealingStore;
    drillingStore: DrillingStore;
    modeling2Store: Modeling2Store;
    modeling3Store: Modeling2Store;
    knifeMap: Map<string, IOptionProps & {
        props?: IKnifeProps;
    }>;
    constructor();
    templateParamInputFocus: (keyword: string) => void;
}
//# sourceMappingURL=RightPanelStore.d.ts.map